﻿Type=Service
Version=7.3
ModulesStructureVersion=1
B4A=true
@EndOfDesignText@
#Region  Service Attributes 
	#StartAtBoot: False
	#ExcludeFromLibrary: True
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	Public EventList As List
	Public Nano As NanoTime
	CallSubDelayed3(Me,"Addtolist",DateTime.Now,"Starter Process_Globals")
End Sub

Sub Service_Create
	'This is the program entry point.
	'This is a good place to load resources that are not specific to a single activity.
	EventList.Initialize
	CallSubDelayed3(Me,"Addtolist",DateTime.Now,"Starter Service_Create")
	StartService(ss1)
End Sub

Sub Service_Start (StartingIntent As Intent)
	CallSubDelayed3(Me,"Addtolist",DateTime.Now,"Starter Service_Start")
	CallSub(Me,"Other_Sub")
	CallSubDelayed(Me,"Any_Sub")
End Sub

Sub Service_TaskRemoved
	'This event will be raised when the user removes the app from the recent apps list.
End Sub

'Return true to allow the OS default exceptions handler to handle the uncaught exception.
Sub Application_Error (Error As Exception, StackTrace As String) As Boolean
	Return True
End Sub

Sub Service_Destroy
	CallSubDelayed3(Me,"Addtolist",DateTime.Now,"Starter Service_Destroy")
End Sub

Public Sub AddtoList(Ticks As Long,What As String)
	EventList.Add($"$time{Ticks} ${What} ${Nano.NanoTime}"$)
End Sub

Sub Any_Sub
	CallSubDelayed3(Me,"Addtolist",DateTime.Now,"Starter Any_Sub")
End Sub

Sub Other_Sub
	CallSubDelayed3(Me,"Addtolist",DateTime.Now,"Starter Other_Sub")
End Sub